package com.hmg.hmgDr.ui;

import com.hmg.hmgDr.Model.ChangeCallStatusRequestModel;
import com.hmg.hmgDr.Model.GetSessionStatusModel;
import com.hmg.hmgDr.Model.SessionStatusModel;

public interface VideoCallContract {

    interface VideoCallView {

        void onCallSuccessful(SessionStatusModel sessionStatusModel);

        void onCallChangeCallStatusSuccessful(SessionStatusModel sessionStatusModel);

        void onFailure();

    }

    interface VideoCallPresenter {

        void callClintConnected(GetSessionStatusModel statusModel);

        void callChangeCallStatus(ChangeCallStatusRequestModel statusModel);
    }
}
